/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2022  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#ifndef DOSTMANNDIALOGHEADERFILE
#define DOSTMANNDIALOGHEADERFILE

#include <QDialog>
#include <vector>

#include "../../core/vector2.h"

class QSettings;
class QLabel;
class QToolButton;
class QCloseEvent;
class QTextEdit;
class THexEditWidget;
class TInputWidget;
class TSettingsDialog;

class TDostmannDialog : public QDialog
{
Q_OBJECT

public:

// CREATORS
	TDostmannDialog(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	virtual ~TDostmannDialog(void);

// ACCESSORS

// MANIPULATORS

signals:

private slots:
	void Data_Changed(void);
	void Settings(void);
	void Toggle_Help(bool);
	
protected:
	virtual void closeEvent(QCloseEvent *event);

private:

	QSettings							*d_settings;
	QLabel								*d_new_code1_label;
	QLabel								*d_new_code2_label;
	QLabel								*d_data_range_label;
	QToolButton							*d_toggle_help;
	QTextEdit							*d_help_edit;
	THexEditWidget						*d_existing_code1_edit;
	THexEditWidget						*d_existing_code2_edit;
	TInputWidget						*d_input_widget;
	TSettingsDialog						*d_settings_dialog;
		
	void Update_Codes(void);
	
	bool Fit_Line(const std::vector<TVector2> &pnts,double *slope,double *yintercept=0);

// NOT IMPLEMENTED
	TDostmannDialog(const TDostmannDialog&);
	TDostmannDialog operator=(const TDostmannDialog&);
};

#endif
