/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2022  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef SETTINGSDIALOGHEADERFILE
#define SETTINGSDIALOGHEADERFILE

#include <QDialog>

class QSpinBox;

class TSettingsDialog : public QDialog
{
Q_OBJECT

public:

// CREATORS
	TSettingsDialog(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	~TSettingsDialog(void);

// ACCESSORS
	int Nominal_Precision(void) const;
	int Measured_Precision(void) const;

// MANIPULATORS
	void Reset(int Nominal_Precision, int Measured_Precision);

signals:

private slots:

private:
	QSpinBox							*d_measured_precision_spin;
	QSpinBox							*d_nominal_precision_spin;

// NOT IMPLEMENTED
	TSettingsDialog(const TSettingsDialog&);
	TSettingsDialog& operator=(const TSettingsDialog&);
};

#endif
